OpenShot Audio Library | OpenShotAudio: juce::MidiMessageMetadata Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0 |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::MidiMessageMetadata Struct Reference

`#include <juce_MidiBuffer.h>`

## Public Member Functions
| MidiMessageMetadata (const uint8 *dataIn, int numBytesIn, int positionIn) noexcept
MidiMessage | getMessage () const

## Public Attributes
const uint8 * | data = nullptr
int | numBytes = 0
int | samplePosition = 0

## Detailed Description

A view of MIDI message data stored in a contiguous buffer.

Instances of this class do not own the midi data bytes that they point to. Instead, they expect the midi data to live in a separate buffer that outlives the MidiMessageMetadata instance.

Definition at line 36 of file juce_MidiBuffer.h.

## Constructor & Destructor Documentation

## ◆ MidiMessageMetadata()

juce::MidiMessageMetadata::MidiMessageMetadata | ( | const uint8 * | dataIn,
|  | int | numBytesIn,
|  | int | positionIn )
| inlinenoexcept

Definition at line 40 of file juce_MidiBuffer.h.

## Member Function Documentation

## ◆ getMessage()

MidiMessage juce::MidiMessageMetadata::getMessage | ( |  | ) | const
| inline

Constructs a new MidiMessage instance from the data that this object is viewing.

Note that MidiMessage owns its data storage, whereas MidiMessageMetadata does not.

Definition at line 49 of file juce_MidiBuffer.h.

## Member Data Documentation

## ◆ data

const uint8* juce::MidiMessageMetadata::data = nullptr

Pointer to the first byte of a MIDI message.

Definition at line 52 of file juce_MidiBuffer.h.

Referenced by getMessage().

## ◆ numBytes

int juce::MidiMessageMetadata::numBytes = 0

The number of bytes in the MIDI message.

Definition at line 55 of file juce_MidiBuffer.h.

Referenced by getMessage().

## ◆ samplePosition

int juce::MidiMessageMetadata::samplePosition = 0

The MIDI message's timestamp.

Definition at line 58 of file juce_MidiBuffer.h.

Referenced by juce::MidiBuffer::findNextSamplePosition(), and getMessage().

The documentation for this struct was generated from the following file:

- juce_MidiBuffer.h